aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHonza Macháček <Hloupy.Honza@centrum.cz>2013-06-17 14:51:05 +0200
committerHonza Macháček <Hloupy.Honza@centrum.cz>2013-06-17 14:51:05 +0200
commit3b97a12c0c2fe8f6968c9cdd84b67b404e280797 (patch)
treee8493b7165c06b4ddd9b1545ce5cbe1a071f61a6 /sci-physics/bigdft
parentMangling of the sources of sci-chemistry/freeon reduced, both for 2012.05.03,... (diff)
downloadsci-3b97a12c0c2fe8f6968c9cdd84b67b404e280797.tar.gz
sci-3b97a12c0c2fe8f6968c9cdd84b67b404e280797.tar.bz2
sci-3b97a12c0c2fe8f6968c9cdd84b67b404e280797.zip
Version of bigdft bumped to 1.7_pre24, moved from sci-libs to sci-physics. No longer used as a library by sci-physics/abinit. Usage of LIBDIR/finclude abandoned in favour of /usr/include, as used upstream.
Diffstat (limited to 'sci-physics/bigdft')
-rw-r--r--sci-physics/bigdft/ChangeLog147
-rw-r--r--sci-physics/bigdft/bigdft-1.7_pre24.ebuild140
-rw-r--r--sci-physics/bigdft/files/bigdft-1.7-dev.24-nolib_mods.patch25
3 files changed, 312 insertions, 0 deletions
diff --git a/sci-physics/bigdft/ChangeLog b/sci-physics/bigdft/ChangeLog
new file mode 100644
index 000000000..0c32817c1
--- /dev/null
+++ b/sci-physics/bigdft/ChangeLog
@@ -0,0 +1,147 @@
+# ChangeLog for sci-physics/bigdft
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*bigdft-1.7_pre24 (17 Jun 2013)
+
+ 17 Jun 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
+ +bigdft-1.7_pre24.ebuild, +files/bigdft-1.7-dev.24-nolib_mods.patch:
+ Version bumped to 1.7_pre24. Moved from sci-libs to sci-physics, no longer
+ used as a library by sci-physics/abinit. Usage of LIBDIR/finclude abandoned
+ in favour of /usr/include, as used upstream.
+
+ 03 Mar 2013; Justin Lecher <jlec@gentoo.org> bigdft-1.7_pre12.ebuild:
+ Fix issue 52
+
+ 03 Mar 2013; Justin Lecher <jlec@gentoo.org> bigdft-1.7_pre12.ebuild:
+ Fix issue 52
+
+ 22 Feb 2013; Justin Lecher <jlec@gentoo.org> -bigdft-1.6_pre1-r4.ebuild,
+ bigdft-1.6.0-r2.ebuild, bigdft-1.7_pre12.ebuild, metadata.xml:
+ Use tc-getPKG_CONFIG from toolchain-funcs.eclass instead of plain pkg-config;
+ drop old
+
+ 20 Feb 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
+ bigdft-1.7_pre12.ebuild:
+ The setup of python for the compilation of the GPU support in
+ bigdft-1.7_pre12 improved.
+
+ 20 Feb 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
+ bigdft-1.7_pre12.ebuild, +files/bigdft-1.7-dev.12-GPUlink.patch:
+ Compilation of GPU support in bigdft-1.7_pre12 improved. Yet to be tested.
+
+*bigdft-1.7_pre12 (17 Jan 2013)
+
+ 17 Jan 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
+ +bigdft-1.7_pre12.ebuild, +files/bigdft-1.7-dev.12-libxc_dir_include.patch,
+ +files/bigdft-1.7-dev.12-nolib_mods.patch,
+ +files/bigdft-1.7-dev.12-tests.tar.bz2:
+ New version 1.7-dev.12 (1.7_pre12) from the Abinit site added; used by
+ sci-physics/abinit-7.0.4 but apparently segfaults it.
+
+*bigdft-1.6_pre1-r4 (01 Sep 2012)
+
+ 01 Sep 2012; Honza Macháček <Hloupy.Honza@centrum.cz>
+ -bigdft-1.6_pre1-r3.ebuild, +bigdft-1.6_pre1-r4.ebuild,
+ -files/bigdft-1.6-tuto.1-GPUlibs.patch,
+ +files/bigdft-1.6-tuto.1-GPUlibs-1.patch,
+ -files/bigdft-1.6-tuto.1-bigdft.pc.patch,
+ +files/bigdft-1.6-tuto.1-bigdft.pc-1.patch:
+ Patches to install GPU support corrected not to break linking against the
+ compiled libraries
+
+ 10 Jul 2012; Honza Macháček <Hloupy.Honza@centrum.cz>
+ files/bigdft-1.6-tuto.1-GPUlibs.patch:
+ bigdft-1.6-tuto.1-GPUlibs.patch updated not to forget the pkg-config file
+
+*bigdft-1.6_pre1-r3 (04 Jul 2012)
+
+ 04 Jul 2012; Honza Macháček <Hloupy.Honza@centrum.cz>
+ -bigdft-1.6_pre1-r2.ebuild, +bigdft-1.6_pre1-r3.ebuild,
+ +files/bigdft-1.6-tuto.1-GPUlibs.patch,
+ +files/bigdft-1.6-tuto.1-gcc-4.6.patch:
+ bigdft-1.6_pre1 from -r2 to -r3: patched to install necessary libraries for
+ GPU support and to compile with gcc-4.6
+
+ 22 Jun 2012; Alexey Shvetsov <alexxy@gentoo.org> bigdft-1.6.0-r2.ebuild,
+ bigdft-1.6_pre1-r2.ebuild:
+ [sci-libs/bigdft] add ~amd64-linux
+
+*bigdft-1.6.0-r2 (19 Jun 2012)
+*bigdft-1.6_pre1-r2 (19 Jun 2012)
+
+ 19 Jun 2012; Honza Macháček <Hloupy.Honza@centrum.cz>
+ -bigdft-1.6_pre1-r1.ebuild, +bigdft-1.6_pre1-r2.ebuild,
+ -bigdft-1.6.0-r1.ebuild, +bigdft-1.6.0-r2.ebuild:
+ Reflect the split of the fortran interface out of sci-libs/netcdf
+
+ 22 May 2012; Justin Lecher <jlec@gentoo.org> bigdft-1.6_pre1-r1.ebuild,
+ bigdft-1.6.0-r1.ebuild:
+ Add missing eutils.eclass, bump to EAPI=4, remove unnecessary bits
+
+*bigdft-1.6.0-r1 (15 May 2012)
+*bigdft-1.6_pre1-r1 (15 May 2012)
+
+ 15 May 2012; Honza Macháček <Hloupy.Honza@centrum.cz>
+ -bigdft-1.6_pre1.ebuild, +bigdft-1.6_pre1-r1.ebuild, -bigdft-1.6.0.ebuild,
+ +bigdft-1.6.0-r1.ebuild:
+ pkg-config file corrected
+
+ 30 Mar 2012; Honza Macháček <Hloupy.Honza@centrum.cz>
+ -bigdft-1.2.0.2.ebuild, -files/bigdft-1.2.0.2-0001.patch,
+ -files/bigdft-1.2.0.2-0002.patch, -files/bigdft-1.2.0.2-0003.patch,
+ -files/bigdft-1.2.0.2-0004.patch, -files/bigdft-1.2.0.2-testH.patch,
+ -bigdft-1.2.0.5.ebuild, -files/bigdft-1.2.0.5-0001.patch,
+ -bigdft-1.6_pre0.ebuild, -files/bigdft-1.6-tuto-bigdft.pc.patch,
+ -files/bigdft-1.6-tuto-libxc_dir_include.patch:
+ Clean-up.
+
+*bigdft-1.6_pre1 (22 Mar 2012)
+*bigdft-1.6_pre0 (22 Mar 2012)
+
+ 22 Mar 2012; Honza Macháček <Hloupy.Honza@centrum.cz>
+ +bigdft-1.2.0.2.ebuild, +bigdft-1.2.0.5.ebuild, +bigdft-1.6_pre0.ebuild,
+ +bigdft-1.6_pre1.ebuild, bigdft-1.6.0.ebuild,
+ +files/bigdft-1.6.0-libxc_dir_include.patch,
+ +files/bigdft-1.6-tuto.1-bigdft.pc.patch,
+ +files/bigdft-1.6-tuto.1-libxc_dir_include.patch,
+ +files/bigdft-1.6-tuto-bigdft.pc.patch,
+ +files/bigdft-1.6-tuto-libxc_dir_include.patch:
+ Old versions used by old versions of abinit ressurected. May be removed
+ forever if nobody complains about the latest abinit. 1.6.0 corrected,
+ 1.6_pre0 and 1.6_pre1 added; 1.6_pre1 is used by sci-physics/abinit-6.12.1.
+
+*bigdft-1.6.0 (18 Feb 2012)
+
+ 18 Feb 2012; Justin Lecher <jlec@gentoo.org> -bigdft-1.2.0.2.ebuild,
+ -bigdft-1.2.0.5.ebuild, +bigdft-1.6.0.ebuild, metadata.xml:
+ Move to EAPI=4 and autotools-util.eclass
+
+*bigdft-1.2.0.5 (14 Dec 2011)
+
+ 14 Dec 2011; Honza Macháček <Hloupy.Honza@centrum.cz>
+ bigdft-1.2.0.2.ebuild, +bigdft-1.2.0.5.ebuild,
+ +files/bigdft-1.2.0.5-0001.patch:
+ Version bump to 1.2.0.5 for sci-physics/abinit-6.10.3; still not much
+ progress towards the current version (1.5.2 and 1.6-tuto)
+
+ 11 Jul 2011; Honza Macháček <Hloupy.Honza@centrum.cz>
+ bigdft-1.2.0.2.ebuild:
+ The MPI support, broken by fortran-2.eclass usage, made work again.
+
+ 24 Jun 2011; Justin Lecher <jlec@gentoo.org> bigdft-1.2.0.2.ebuild:
+ Streamlined fortran-2 eclass usage
+
+ 21 Jun 2011; Justin Lecher <jlec@gentoo.org> bigdft-1.2.0.2.ebuild,
+ +metadata.xml:
+ Added fortran-2.eclass support
+
+*bigdft-1.2.0.2 (17 Jan 2011)
+
+ 17 Jan 2011; Honza Macháček <Hloupy.Honza@centrum.cz>
+ +bigdft-1.2.0.2.ebuild, +files/bigdft-1.2.0.2-0001.patch,
+ +files/bigdft-1.2.0.2-0002.patch, +files/bigdft-1.2.0.2-0003.patch,
+ +files/bigdft-1.2.0.2-0004.patch, +files/bigdft-1.2.0.2-testH.patch:
+ A bigDFT ebuild for sci-physics/abinit; not the latest version but the abinit
+ compatible one.
+
diff --git a/sci-physics/bigdft/bigdft-1.7_pre24.ebuild b/sci-physics/bigdft/bigdft-1.7_pre24.ebuild
new file mode 100644
index 000000000..d74906a74
--- /dev/null
+++ b/sci-physics/bigdft/bigdft-1.7_pre24.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_5 python2_6 python2_7 )
+
+inherit autotools-utils eutils flag-o-matic fortran-2 python-any-r1 toolchain-funcs
+
+REAL_PV="${PV/_pre/-dev.}"
+
+DESCRIPTION="A DFT electronic structure code using a wavelet basis set"
+HOMEPAGE="http://bigdft.org/"
+SRC_URI="http://launchpad.net/${PN}/master/${REAL_PV}/+download/${PN}-${REAL_PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="cuda doc etsf_io mpi netcdf openmp opencl test"
+
+RDEPEND="
+ >=sci-libs/libxc-1.0[fortran]
+ virtual/blas
+ virtual/fortran
+ virtual/lapack
+ dev-libs/libyaml
+ mpi? ( virtual/mpi )
+ cuda? ( dev-util/nvidia-cuda-sdk )
+ opencl? ( virtual/opencl )
+ etsf_io? ( sci-libs/etsf_io )
+ netcdf? ( || (
+ sci-libs/netcdf[fortran]
+ sci-libs/netcdf-fortran
+ )
+ )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ >=sys-devel/autoconf-2.59
+ doc? ( virtual/latex-base )
+ ${PYTHON_DEPS}
+ dev-python/pyyaml[libyaml]
+ app-arch/tar
+ app-arch/gzip"
+
+S="${WORKDIR}/${PN}-${REAL_PV}"
+
+DOCS=( README INSTALL ChangeLog AUTHORS NEWS )
+
+FORTRAN_STANDARD=90
+
+pkg_setup() {
+ # fortran-2.eclass does not handle mpi wrappers
+ if use mpi; then
+ export FC="mpif90"
+ export F77="mpif77"
+ export CC="mpicc"
+ else
+ tc-export FC F77 CC
+ fi
+
+ fortran-2_pkg_setup
+ if use openmp && [[ $(tc-getCC)$ == *gcc* ]] && ! tc-has-openmp; then
+ die "Please select an openmp capable compiler like gcc[openmp]"
+ fi
+ python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/"${PN}-${REAL_PV}"-nolib_mods.patch
+
+ eautoreconf
+}
+
+src_configure() {
+ local openmp=""
+ use openmp && openmp="-fopenmp"
+ local modules="${EPREFIX}/usr/include"
+ local netcdff_libs="-lnetcdff"
+ filter-flags '-m*' '-O*' "-pipe"
+ local nvcflags="${CFLAGS}"
+ _filter-var nvcflags '-m*' '-O*' "-pipe" "-W*"
+ local myeconfargs=(
+ $(use_enable mpi)
+ --enable-optimised-convolution
+ --enable-pseudo
+ --enable-libbigdft
+ --enable-binaries
+ --disable-minima-hopping
+ --disable-internal-libyaml
+ --enable-internal-libabinit
+ --with-moduledir="${modules}"
+ --with-ext-linalg="$($(tc-getPKG_CONFIG) --libs-only-l lapack) \
+ $($(tc-getPKG_CONFIG) --libs-only-l blas)"
+ --with-ext-linalg-path="$($(tc-getPKG_CONFIG) --libs-only-L lapack) \
+ $($(tc-getPKG_CONFIG) --libs-only-L blas)"
+ --with-libxc="yes"
+ --disable-internal-libxc
+ $(use_enable cuda cuda-gpu)
+ $(use_with cuda cuda-path /opt/cuda)
+ $(use_with cuda nvcc-flags "${nvcflags}")
+ $(use_enable opencl)
+ $(use_with etsf_io etsf-io)
+ "$(use etsf_io && echo "--with-netcdf-libs=$($(tc-getPKG_CONFIG) --libs netcdf) ${netcdff_libs}")"
+ PKG_CONFIG="$(tc-getPKG_CONFIG)"
+ FCFLAGS="${FCFLAGS} ${openmp} -I${modules}"
+ LD="$(tc-getLD)"
+ CPP="$(tc-getCPP)"
+ )
+ autotools-utils_src_configure
+}
+
+src_compile() {
+ #autotools-utils_src_compile() expanded
+ _check_build_dir
+ pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
+ emake -j1
+ sed -i -e's%\$(top_builddir)/[^ ]*/lib\([^ /$-]*\)\.a%-l\1%g' bigdft.pc
+ popd > /dev/null
+
+ #autotools-utils_src_compile
+ use doc && autotools-utils_src_compile doc
+}
+
+src_test() {
+ if use test; then
+ #autotools-utils_src_test() expanded
+ _check_build_dir
+ pushd "${BUILD_DIR}" > /dev/null || die
+ # Run default src_test as defined in ebuild.sh
+ cd tests
+ emake -j1 check
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ autotools-utils_src_install HAVE_LIBXC=1
+}
diff --git a/sci-physics/bigdft/files/bigdft-1.7-dev.24-nolib_mods.patch b/sci-physics/bigdft/files/bigdft-1.7-dev.24-nolib_mods.patch
new file mode 100644
index 000000000..de3555b6d
--- /dev/null
+++ b/sci-physics/bigdft/files/bigdft-1.7-dev.24-nolib_mods.patch
@@ -0,0 +1,25 @@
+diff -Naurp bigdft-1.7-dev.24.orig/src/Makefile.am bigdft-1.7-dev.24/src/Makefile.am
+--- bigdft-1.7-dev.24.orig/src/Makefile.am 2013-03-12 12:56:53.000000000 +0000
++++ bigdft-1.7-dev.24/src/Makefile.am 2013-04-10 09:29:31.073319847 +0000
+@@ -56,6 +56,9 @@ bigdft_library_rpath =
+ endif
+ if BUILD_LIB_BIGDFT
+ lib_bigdft = libbigdft.a libdft_common.a
++else
++lib_bigdft =
++endif
+ PS_SOURCES = PSolver/Build_Kernel.f90 \
+ PSolver/xcenergy.f90 \
+ PSolver/3Dgradient.f90 \
+@@ -64,11 +67,6 @@ PS_SOURCES = PSolver/Build_Kernel.f90 \
+ PSolver/wofz.f90 \
+ lib/fft/fft3d.f90
+ PS_MODULES = PSolver/Poisson_Solver.f90
+-else
+-lib_bigdft =
+-PS_SOURCES =
+-PS_MODULES =
+-endif
+ if BUILD_BINARIES
+ binaries_sources = bigdft memguess splsad NEB frequencies MDanalysis $(minima_hopping_sources) bart abscalc BigDFT2Wannier WaCo NEB_images
+ local_binaries = test_forces